Bolt has moved to boltapp.com. Stores still using bolt.com hosts must update now: see the migration guide.

Skip to content

Get an invoice

View As MarkdownMCP
GET
/v1/invoices/{publicId}

Retrieves an invoice by its public ID.

Authorization

X-API-Key X-Publishable-Key
X-API-Key<token>

In: header

X-Publishable-Key<token>

In: header

Path Parameters

publicId*string

Public ID of the invoice.

Response Body

application/json

curl -X GET "https://example.com/v1/invoices/inv_9Pq3Xw7Rt2"
{  "public_id": "inv_9Pq3Xw7Rt2",  "invoice_number": "INV-2026-0042",  "to_invoice_consumer_id": "ic_8hTq2Lm4Vx",  "from_invoice_consumer_id": "string",  "status": "draft",  "document_type": "invoice",  "total_amount": 15000,  "amount_due": 15000,  "deposit_amount": 0,  "late_fee_amount": 0,  "early_pay_discount_amount": 0,  "currency": "USD",  "payment_link": "http://example.com",  "billing_period_start": "2019-08-24T14:15:22Z",  "billing_period_end": "2019-08-24T14:15:22Z",  "entity_type": "subscription",  "entity_id": "s_3fKq8Lw2Zp",  "order_token": "string",  "quote_accepted_at": "2019-08-24T14:15:22Z",  "issued_at": "2019-08-24T14:15:22Z",  "sent_at": "2019-08-24T14:15:22Z",  "due_at": "2019-08-24T14:15:22Z",  "finalized_at": "2019-08-24T14:15:22Z",  "paid_at": "2019-08-24T14:15:22Z",  "voided_at": "2019-08-24T14:15:22Z",  "metadata": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}